org.eclipse.graphiti.ui.internal.parts.directedit

## Class GFCellEditorValidator

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.parts.directedit.GFCellEditorValidator

All Implemented Interfaces:
  org.eclipse.jface.viewers.ICellEditorValidator

    public class GFCellEditorValidator
    extends java.lang.Object
    implements org.eclipse.jface.viewers.ICellEditorValidator

### Constructor Summary

Constructors
Constructor and Description
`GFCellEditorValidator(IDirectEditHolder directEditHolder, org.eclipse.jface.viewers.CellEditor cellEditor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `isValid(java.lang.Object value)`
`java.lang.String` `isValidProposal(java.lang.Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFCellEditorValidator

    public GFCellEditorValidator(IDirectEditHolder directEditHolder,
                                 org.eclipse.jface.viewers.CellEditor cellEditor)

### Method Detail

#### isValid

    public java.lang.String isValid(java.lang.Object value)

Specified by:
  `isValid` in interface `org.eclipse.jface.viewers.ICellEditorValidator`

#### isValidProposal

    public java.lang.String isValidProposal(java.lang.Object value)